<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_surface.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Surface Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_surface.html">Surface</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#a6eaec7d61d4a87ce7cd42089487850bf">addSurfaces</a>(std::vector&lt; Surface *&gt; &amp;objects)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a676d836b2651caf205065fcd095a356b">b_box</a></td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#a65d1534766e141346af770b5e95503bf">b_box_def</a></td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a1dabf409cbd72a6cf1984a21304369ff">bounding_box</a>()</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#ae3cf222676c208dc301ffc1dacb028e1">getBBox</a>()</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a1b0c1c392cc14642a7ff88db7c16d0f0">getCentroid</a>()</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#a1ffcbcea002fc72862411a3edbd386a7">getMaterial</a>()</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a25a12923766c3df006fa32628fe6bd4b">getTransform</a>()</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#ab04a7e3f5f5b51061b014bdbcfd85107">getVertexPosLocalCoords</a>(int _i)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a80450b9cb334e067ddaacb4380149c8e">getVertexPosWorldCoords</a>(int _i)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#ad5b74adad1504d73dbed6e47bc011bca">hit</a>(const Ray &amp;r, hit_rec &amp;h_r, double t_min, double t_max)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a60490e6d2fe723957e8814289f538624">id</a></td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#ab13775c761a7b51a95b57d300b94a9c8">isSmoothShaded</a>()</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#ad3cebceee209a3762a5dc2550d69064c">local_n</a></td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#a99bb89c6eeea7dd90b3fda098b51422b">m</a></td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a7df9cc390062b02fa30e18eaea47dc3b">n</a></td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#ab59cc271b2fe0db25867fc16664cc22f">setID</a>(std::string _id)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a2110a2eb3f0279d59a52e2034069eaae">setMaterial</a>(Material *_m)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#ae844c2766ec89af9dd6e65db59cf0b02">setSmoothShading</a>(bool _smooth_shading)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#abcbeb2a388e4971bd7095ce57e85fb95">setTransform</a>(Transform *_tf)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#a7a455dca43c650016886ea02320ed4a3">setVertexPosLocalCoords</a>(int _i, Vec _pos)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#aa7675dc7633490a99cd39620054e2bdb">smooth_shading</a></td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#a66c78e81a329eee37ddad0dece149b96">Surface</a>(Material *&amp;_m)</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a8fc57f2a15292135c00545c9d224ec68">Surface</a>()</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#a444077659d77f2e034ae163cbb103134">tf</a></td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a10655735b685f4363df818a2c6fdfb9b">transform</a>()</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_surface.html#ac8918f57a731e9f129c4a2051d0bc15d">vertexes</a></td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_surface.html#a89de75c95cb550d432f3ea4ed1429db0">~Surface</a>()</td><td class="entry"><a class="el" href="class_surface.html">Surface</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
